#!/bin/sh

device="/dev/mmcblk0"
duel_part="p3"
first_part="p2"

# I thought this should be or not and..

fdisk -l ${device}${duel_part} 2>/dev/null && {
	echo "Partition Already exists exiting..."
	exit 0
}

echo "No secondary partition"

first_part_end_sector=$(fdisk -l -o Start,End,Device $device | grep ${device}${first_part} | awk '{print $2}')
first_part_size=$(fdisk -l -o Size,Device $device | grep ${device}${first_part} | awk '{print $1}')

echo "first_part_end_sector: $first_part_end_sector"
start_sector=$(($first_part_end_sector+1))
echo "start_sector: $start_sector"
echo "first_part_size: $first_part_size"


{
	echo n
	echo p
	echo 3
	echo $start_sector
	echo "+$first_part_size"
	echo "p"
	echo "w"
	#echo "q"
} | fdisk $device


dd if=${device}${first_part} of=${device}${duel_part}

cp /boot/kernel.1.img /boot/kernel.2.img


